> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quark.bot/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH /servers/{guild_id}/config/settings



## OpenAPI

````yaml /api-reference/openapi.json patch /servers/{guild_id}/config/settings
openapi: 3.1.0
info:
  title: Quark API
  version: 1.0.0
servers:
  - url: https://quark.bot/api
security:
  - bearerAuth: []
paths:
  /servers/{guild_id}/config/settings:
    patch:
      tags:
        - Config
      summary: PATCH /servers/{guild_id}/config/settings
      parameters:
        - name: guild_id
          in: path
          required: true
          schema:
            type: string
          description: The guild_id.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                locale:
                  type: string
                  description: The locale for the server settings.
                analytics:
                  type: boolean
                  description: Whether analytics are enabled for the server.
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````